Subject: Offline Message from noof : I ordered the first two orders in the middle of t
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 29 Jun 2020 01:37:27 -0000

From: noof  <[email-masked]>
Phone: 
Location: Abu Dhabi, United Arab Emirates
URL: https://www.mumzworld.com/ar/contact-us
Department: 

I ordered the first two orders in the middle of the 5th month and the second order at the beginning of the 6th month and the payment was on the card and the order has not yet been received and no one is answering the call when I call

----
Zopim
https://www.zopim.com